/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/


/*************

GENERAL

*************/
*:focus, body a:focus{
	outline: none;
}


/*************

STICKY FOOTER

*************/
.fl-page{
	display:flex;
	flex-direction:column;
}

.fl-page-content{
	flex:1;
	width: 100%;
	word-wrap: break-word;
	z-index:1;
	position: relative;
}
.page-id-6778 {
	background: #000 !important;
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
	.fl-page {
		display:block;
		position: relative;
		min-height: calc(100vh - 165px);
		padding-bottom: 236px; /* Should be equal to the height of your footer */
	}
	footer {
		width: 100%;
		position: absolute;
		bottom: 0;
	}
}

/*************

ALGEMEEN TEKST STYLEN

*************/
/*
h1,h2,h3,h4,h5{
	font-family: montserrat, sans-serif;
}
*/
/* Haal de underline weg bij link hover */
.fl-rich-text a{
	text-decoration: none;
}
a:hover, a:focus {
}


/*************

Gekleurde bullets


**************/
.fl-rich-text ul {
  list-style: none; /* verwijder bullet */
}
.fl-rich-text ul li {
	position: relative;
}
.fl-rich-text ul li::before {
  content: "\2022";
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: 0;
}
/*************

Breadcrumbs

*************/

.sz-breadcrumbs span.sz-breadcrumb-separator{
	font-size: 15px;
    margin: 0 11px;
}
.sz-breadcrumbs .fl-icon {
    display: inline-block;
    margin-top: -7px;
}

/*************

BLOKKEN

*************/
/* Algemeen */

.sz-col-parent > .fl-col-content, .sz-news-parent > .fl-col-content{
	position: relative;
}
.sz-news-parent .sz-post-text{
	text-align: left;
}
.sz-col-parent .fl-module-button, .sz-news-parent .sz-button{
	position: absolute;
    bottom: 0;
	left: 0;
	right: 0;
	text-align: center;
}

/* Blogs en Nieuws */

.sz-news-posts .fl-post-grid-post{
	height: auto;
	box-sizing: border-box;
	border: 0;
}
.sz-news-posts .fl-post-image{
	overflow: hidden;
	border-radius:0;
	position: relative;
	height: 100%;
	max-height: fit-content;
	aspect-ratio: 1.52/1;
	width: 100%;

	img{
		width: 100%;
		aspect-ratio: 1.52/1;
		object-fit: cover;
		transition: all .2s;
	}

	&:hover img {
		scale: 1.1;
	}
}

.sz-news-parent {
	height: 100%;

	.fl-col-content {
		height: 100%;
		display: flex;
		flex-flow: column;
		background: #404040;

		.sz-post-text {
			height: 100%;
			display: flex;
			flex-flow: column;

			a.fl-button {
				margin-top: auto;
			}

			p {
				margin-bottom: 20px;
			}
		}
	}
}
.sz-news-posts .fl-post-text {
	padding: 20px;
	color: white;
	background: #404040;

	.sz-title-wrap {
		display: flex;
		flex-flow: row wrap;
		align-items: flex-end;
		margin-bottom: 20px;

		h3 {
			margin: 0;
			color: white;
			width: calc(100% - 90px);
			display: inline-block;
			font-size: 20px;
		}

		.fl-post-date {
			width: 90px;
			font-size: 12px;
			text-align: right;
			margin-bottom: 5px !important;
		}

	}
	a.fl-button {
		padding: 0;
		background-color: transparent !important;
		border: 0 !important;
		width: 100%;
		display: flex;
		justify-content: space-between;
		margin-top: 40px;
		line-height: 1;
		align-items: center;
		color: #00b1e8;

		span {
			margin-top: 5px;
		}

		&:after {
			content: '';
			mask-image: url('images/right.png');
			height: 24px;
			width: 20px;
			background-color: #00b1e8;
			display: block;
			mask-size: cover;
			mask-repeat: no-repeat;
			mask-position: center;
		}

		&:hover {
			opacity: .75;
		}
	}
}


.sz-full-width-button a.fl-button {
	padding: 0;
	background-color: transparent !important;
	border: 0 !important;
	width: 100%;
	display: flex;
	justify-content: space-between;
	margin-top: 40px;
	line-height: 1;
	align-items: center;
	

	span {
		margin-top: 5px;
	}

	&:after {
		content: '';
		mask-image: url('images/right.png');
		height: 24px;
		width: 20px;
		background-color: #fff;
		display: block;
		mask-size: cover;
		mask-repeat: no-repeat;
		mask-position: center;
	}

	&:hover {
		opacity: .75;
	}
}

.sz-news-posts .fl-post-image a {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-size: cover; 
	background-position: center; 
	transition: all .5s;

}

.sz-news-posts .fl-post-image a:hover{
	transform: scale(1.1);
}

.sz-news-posts .fl-post-date {
	margin-top: 10px;
	margin-bottom: 0;
}
.sz-news-posts .fl-post-title{
	font-weight: bold;
	font-size:20px;
	margin-top:0;
	text-transform: none;
}
.sz-news-posts .fl-post-title a{
	font-size: 20px;
	line-height: 1.1;
	color: #fff;
	font-weight: 600;
}

@media screen and (max-width: 1200px) {
	.sz-news-posts .sz-first-post .fl-col-content{
		.sz-post-text {
			padding: 40px;

			p{
				padding-right: 0;
			}
		}
	}
}
@media screen and (max-width: 992px){

	.fl-page .sz-col-parent,
	.fl-page .sz-news-posts .fl-module-content{
		max-width: 550px;
		margin: 0 auto;
	}

	.sz-news-posts.first .fl-module-content{
		max-width: 100%;
		margin-top: 60px;

		.fl-col-content{
			flex-flow: column;
		}

		.sz-post-text,
		.fl-post-image {
			width: 100%;
		}

		.sz-post-text {
			padding:20px;
			margin-bottom: 80px;
		}
	}
}

@media screen and (max-width: 992px) {
	.sz-news-posts .fl-module-content {
		.fl-post-column {
			margin-bottom: 20px;
		}
	}
}

@media screen and (max-width: 768px){
	.sz-news-posts .fl-module-content{
		overflow: hidden;

		.fl-post-column {
			margin-bottom: 20px;
		}

		.fl-post-text h2 a {
			font-size: 30px !important;
		}
	}
}

/* img-text / text-img blokken */
.sz-text-left{
	padding-left: calc((100vw - 1300px) / 2);
}
.sz-text-right{
	padding-right: calc((100vw - 1300px) / 2);
}

/* icons effect */
body .fl-module-icon .fl-module-content .fl-icon-wrap i,
body .fl-module-icon .fl-module-content .fl-icon-wrap p,
body .fl-module-icon .fl-module-content .fl-icon-group i,
.fl-icon i{
	transition: all 200ms linear;
	border-radius: 5px;
}

.fl-icon-wrap:hover i,
.fl-icon-wrap:focus i,
.fl-icon-wrap:active i,
.fl-icon-wrap:hover p,
.fl-icon-wrap:focus p,
.fl-icon-wrap:active p,
.fl-icon-group i:hover,
.fl-icon-group i:focus,
.fl-icon-group i:active{
	opacity: .8;
	text-decoration: none;
}

/*************

KNOPPEN

*************/
.fl-page a.fl-button{
	transition: all 200ms linear;
}
body .fl-builder-content .gform_button,
body .sz-contact-form a.fl-button{
	transition: all 200ms linear;
}

/* Standaard button active fix */
.fl-builder-content .fl-button:active,
button:active,
button:focus,
.fl-builder-content .gform_button:active,
.fl-builder-content .gform_button:focus
{
	top: 0;
}
.widget_search button{
	padding: 10px 20px;
	border: 0;
	border-radius: 20px;
	color: white;
	font-weight: bold;
	background-color: #3c4049;
}

.grecaptcha-badge { visibility: hidden; }



.sz-product-specs .fl-rich-text ul{
	padding-inline-start: 0;
}

.sz-product-specs .fl-rich-text li {
	padding: 0 10px;
	line-height: 1.75;
	border-bottom: 1px solid #000;
}

ul.gform_fields li.gfield select {
	color: black !important;
}

.sz-product-specs ul li {
	position: relative;
	padding-left: 10px;
}

.sz-product-specs ul li::before {
  	content: "\2022";  /* Bullet unicode */
  	font-weight: bold; 
  	display: inline-block; /* nodig voor ruimte tussen bullet en text */ 
  	width: 1em; /* nodig voor ruimte tussen bullet en text(aan te passen) */
 	margin-left: 0; /* nodig voor ruimte tussen bullet en text(aan te passen) */
	position: absolute;
	left: 0;
}

.sz-ordered-list-mod .fl-list .fl-list-item-content-icon .fl-list-item-icon{
	background: #c4c4c4;
	width: 40px;
	height: 40px;
	margin-right: 20px;
	display: block;
	border-radius: 100%;
}

.fl-accordion {
	.fl-accordion-button-label:focus {
		outline: none;
	}
	.fl-accordion-button {
		min-height: 60px;
		border-bottom: 1px solid white;
		display: flex;
		align-items: center;
	}
}


.sz-overlay-row {
	position: relative;
	z-index: 9;
}

.sz-grow-col .fl-col-group {
	&, .fl-col, .fl-col-content {
		height: 100%;
	}

	.sz-full-width-button {
		margin-top: auto;
	}
}

ul.page-numbers {
	font-family: 'Exo', sans-serif;
	a,span{
		border: 0 !important;
		&.current {
			font-weight: bold;
			text-decoration: underline;
			background: transparent;
		}
		&.next, &.prev {
			height: 18px;
			width: 23px;
			line-height: 0;
			color: transparent;
			opacity: .5;
			transition: all .3s;
			background-position: center !important;
			background-repeat: no-repeat !important;
			background-size: contain !important;
			background-color:transparent !important;
			position: relative;
			top: -4px;

			&:hover {
				opacity: 1;
			}
		}

		&.next {
			background-image: url("images/right.png") !important;
		}
		&.prev {
			background-image: url("images/left.png") !important;
		}

	}
}

.sz-spec-img img {
	height: 90px !important;
	width: auto !important;
}


.sz-spec-list {
	.fl-rich-text ul{
		padding-left: 0;

		li {
			padding-block: 10px;
			padding-left: 10px;
			&:not(:last-of-type){
				border-bottom: 1px solid black;

			}

			&.hidden {
				display: none;
			}

			&.more-toggle {
				font-weight: bold;
				cursor: pointer;
				list-style: none;
				margin-top: 10px;
				&::before {
					display: none;
				}
			}

		}

	}
}


.sz-image-carousel {
	.uabb-gallery-img {
		aspect-ratio: 1.8/1;
		object-fit: contain;
	}
	.uabb-image-carousel {
		.slick-arrow {
			position: absolute;
			bottom: 0;
			left: 0;
			right: unset;
			top: unset;
			transform: none;
			height: 30px;
			width: 30px;

			i {
				background: transparent !important;
			}

			&.slick-next{
				left: 35px;
			}
		}
	}
}


.sz-alt-title {
	b:before {
		content: '';
		display: inline-block;
		height: .75em;
		width: .75em;
		background: #fff;
		mask-image: url("images/right.png");
		mask-size: contain;
		mask-position: center;
		mask-repeat: no-repeat;
	}

}



.sz-grow-col-content {

}

@media screen and (min-width: 993px) {
	.sz-product-specs .fl-rich-text li:last-of-type {
		border: none;
	}
	.sz-ordered-list-mod .fl-list{
		display: flex;
		justify-content: space-between;
		align-items: center;
		flex-flow: column wrap;
		max-height: 200px;
	}

	.sz-ordered-list-mod .fl-list .fl-list-item {
		max-width: 450px;
		width: 50%;
		height: 66px;
		display: flex;
		align-items: center;
		justify-content: center;
	}

}
@media screen and (min-width: 993px){
	body:not(.fl-builder-edit) .sz-grow-col {
		opacity: .5;
		transition: all .5s;
		position: relative;

		&.left{transform-origin: center left;}
		&.right{transform-origin: center right;}
		&:hover {
			scale:1.1;
			opacity: 1;
			z-index: 9;
		}
	}
}

@media screen and (max-width: 992px){
	.fl-builder-content .sz-col > .fl-col-content{
		max-width: 500px;
		margin: 0 auto;
	}
	.sz-product-specs .fl-rich-text ul{
		margin: 0
	}
	
}

@media screen and (max-width: 768px) {
	.sz-image-carousel {
		& .uabb-image-carousel {
			& .slick-arrow {
				&.slick-next {
					top: calc(100% - 15px);
				}
			}
		}
	}

	.sz-form.leaflet {
		.gform-footer {
			width: 100%;
			padding-left: 0 !important;
			position: relative;
			top: 0;
		}

		.sz-consent {
			top: 0;
		}
	}
}

